Profile Centric - Change file Data

06/28/2021 01:38 PM - Saja Nakhleh

Status: Closed Start date: 06/28/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

the field label is نوع الحالة, although it's

 on the other tabs (الفئة)

Observe evidence 1.gif

Issue #2:

the tab label is general and not

informative 

the unit label is not meaningful evidence

2.gif

Issue #3:

the Arabic compound names are not

accepted. evidence 3.gif

Issue #4:

the missed attachments will not be

validated and the successful message

will be occurred as on evidence 4.gif

Issue #5:

No validations are applied when changing

nothing ! 

Issue #6:

a. the text has additional not necessary

part: علما بان نوع الاجراء هو .

also the task number will not be generated

and shown ! evidence 4.gif

b. once print is clicked, nothing will be

happened.

Issue #7:

no filtration will be applied based on the

applicant age !

hence the current applicant age is 43 but

it's ok to select (student option) for

example even if this options should

applied for applicant up to 21 years!

Evidence 5.gif

Severity: Normal Environment: QA

Category: Profile Centric Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

the field label should be الفئة

Issue #2:
the tab label should be : بيانات

العنوان القديم

the unit label should be: الوحدة

Issue #3:

the arabic compound names should be

accepted, hence the double punctuation

should be valid

Issue #4:

the submit action should validate all the

mandatory fields

Issue #5:

the applicant should change at least 1

value, if nothing is changed, then a

validation message should be occurred 

Issue #6:

a. the message should be : لقد تم تقديم

طلب تحديث الملف رقم*** بنجاح

b. once print is clicked, a report should be

generated

Issue #7:

the type options should be filtered based

on the applicant age and gender (all these

conditions are already applied on the

counter form)

Description

Issue #1:

1. Open Change file data screen

2. from tab (بيانات الواحدة القديمة), Observe the field label : نوع الحالة

Issue #2:

1. Open Change file data screen

2. from tab (بيانات الواحدة القديمة), Observe the tab label: بيانات العنوان

3. Observe the field label: نوع الوحدة

Issue #3:

1. Open Change file data screen

2. Navigate to tab new unit

3. set a compound name in the owner field

Issue #4:

1. Open Change file data screen

2. fill the new unit and new type

3. keep the attachments empty then click submit

Issue #5:

1. Open Change file data screen

2. keep the new unit and new type same as the original values

3. fill the attachments then click submit

Issue #6:

1. Open Change file data screen

2. fill the new unit, new type and mandatory attachments

3. Click submit

4. From the occurred success message:

a. Observe the success message text

b. click print

Issue #7:

1. Open Change file data screen

2. navigate to the new type tab
3. observe the options of the new type drop down list

History

#1 - 06/28/2021 01:38 PM - Saja Nakhleh

- File 5.gif added

#2 - 06/29/2021 04:17 PM - Saleh Al Khatib

- Status changed from Open to Feedback

Dear Saja .

Kindly find my reply for each point , and you retest all of them after Shadi deployment .

Issue #1:

the field label is نوع الحالة, although it's (الفئة) on the other tabs

Observe evidence 1.gif

(Fixed)

Issue #2:

the tab label is general and not informative

the unit label is not meaningful evidence 2.gif

(Fixed)

Issue #3:

the Arabic compound names are not accepted. evidence 3.gif

(Fixed)

Issue #4:

the missed attachments will not be validated and the successful message will be occurred as on evidence 4.gif

(Fixed)

Issue #5:

No validations are applied when changing nothing !

(This point Need to be reviewed by Mohanad)

Issue #6:

a. the text has additional not necessary part: علما بان نوع الاجراء هو .

also the task number will not be generated and shown ! evidence 4.gif

b. once print is clicked, nothing will be happened.

(Fixed)

Issue #7:

no filtration will be applied based on the applicant age !

hence the current applicant age is 43 but it's ok to select (student option) for example even if this options should applied for applicant up to 21 years!

Evidence 5.gif

(Fixed)
#3 - 06/29/2021 10:30 PM - Saja Nakhleh

Issue #1, #2, #4 and #7:

tested and verified.

Issue #3:

still duplicating

Issue #5:

needs PM approval

Issue #6:

still duplicating

#4 - 06/30/2021 10:57 AM - Saleh Al Khatib

Issue #3 and Issue #6 resolved and you will notice the changes in the next deployment .

#5 - 06/30/2021 03:50 PM - Saleh Al Khatib

Dear Saja ,

Regard point 5 , Kindly note that new validation were added on the submit button to make sure that the end user has changed at least one value from

. (الفئة / الوحدة)

This validation were confirmed by Mohanad and the client .

you can retest it after the next deployment .

#6 - 07/01/2021 03:25 AM - Saja Nakhleh

Issue #3:

tested and verified.

Issue #5:

tested and verified.

Issue #6:

a and b tested and verified.

Issue #7:

still duplicating

#7 - 07/06/2021 02:58 PM - Saleh Al Khatib

Dear Saja ,
Issue resolved and you will notice the new change on the next deployment .

#8 - 07/25/2021 11:12 AM - Saja Nakhleh

- Status changed from Feedback to Closed

- Assignee changed from Saleh Al Khatib to Saja Nakhleh

Issue #7:

tested and verified.

Files

1.GIF 51.3 KB 06/28/2021 Saja Nakhleh

2.GIF 67.8 KB 06/28/2021 Saja Nakhleh

3.GIF 58.5 KB 06/28/2021 Saja Nakhleh

4.GIF 181 KB 06/28/2021 Saja Nakhleh

5.gif 284 KB 06/28/2021 Saja Nakhleh
